package net.metaunix;

import java.io.IOException;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.stage.Stage;
import oshi.SystemInfo;
import oshi.software.os.OperatingSystem;

import net.metaunix.controllers.HomeController;


/**
 * JavaFX App
 */
public class App extends Application {

    @Override
    public void start(Stage stage) throws IOException {
        var javaVersion = SysInfo.javaVersion();
        var javafxVersion = SysInfo.javafxVersion();

        var label = new Label("Hello, JavaFX " + javafxVersion + ", running on Java " + javaVersion + ".");

        SystemInfo si = new SystemInfo();
        OperatingSystem os = si.getOperatingSystem();
        System.out.println(String.valueOf(os));

        Parent root = FXMLLoader.load(getClass().getClassLoader().getResource("views/home.fxml"));
        var scene = new Scene(root, 640, 480);
        stage.setTitle("Arrow System Monitor");
        stage.setScene(scene);
        stage.show();
    }

    @Override
    public void stop() {
        HomeController.ust.cancel();
    }

    public static void main(String[] args) {
        launch();
    }

}
